import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:get/get.dart';

import 'bloc/chat_list_bloc.dart';

class ChatListPluginScreen extends StatefulWidget {
  final Widget Function(ChatListPluginState state) builder;
  final String targetUniqueId;
  const ChatListPluginScreen({
    Key? key,
    required this.builder,
    required this.targetUniqueId,
  }) : super(key: key);

  static String route = '/chat_list_plugin';

  @override
  State<ChatListPluginScreen> createState() => _ChatListPluginScreenState();
}

class _ChatListPluginScreenState extends State<ChatListPluginScreen> {
  @override
  void initState() {
    super.initState();
    Get.find<ChatListPluginBloc>()
        .add(ChatListInitEvent(widget.targetUniqueId));
  }

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Colors.transparent,
      child: BlocBuilder<ChatListPluginBloc, ChatListPluginState>(
        bloc: Get.find<ChatListPluginBloc>(),
        builder: (_, state) {
          return widget.builder(state);
        },
      ),
    );
  }
}
